;
; A boot sector that prints a string using our function.
;
[org 0x7c00] ; Tell the assembler where this code will be loaded

	mov [boot_device], dl ; BIOS stores boot drive in dl hold it for later 
	
	mov bp, 0x8000 ; set stack load site
	mov sp, bp ; set top to bottom eg empty stack
	
	mov bx, 0x9000 ; set loadsite for drive
	mov dh, 4 ; num sectors = 5
	mov dl, [boot_device]
	call diskLoad


	mov dx, [9000h]	;	print first loaded word
	call printHex

	mov dx, [0x9200] ; print 1st word from second loaded sector
	call printHex

	mov dx, [0x9400] ; print 1st word from third loaded sector
	call printHex
	
	mov dx, [0x9600] ; print 1st word from fourth loaded sector
	call printHex
	
	jmp $
	; Data
boot_device:
	db 0
%include "printString.asm"
%include "printHex.asm"
%include "diskLoad.asm"
	;padding	
times 510-($-$$) db 0
dw 0xaa55

;load some sectors after this code to be read
times 256 dw 0xdada	; 4char hex or 16bit word or 2byte word 256 times
times 256 dw 0xface	; gives total of 512 bytes to fill one drive sector
times 256 dw 0xadac
times 256 dw 0xdeed
